Main Page Class List Class Members

# Nv::Blast::SpatialAccelerator Class Reference

`#include <NvBlastExtAuthoringAccelerator.h>`

Inheritance diagram for Nv::Blast::SpatialAccelerator:

List of all members.

## Public Member Functions
virtual int32_t | getNextFacet ()=0
virtual void | setPointCmpDirection (int32_t dir)=0
virtual void | setState (const NvcVec3 &point)=0
virtual void | setState (const Vertex *pos, const Edge *ed, const Facet &fc)=0
virtual void | setState (const NvcBounds3 *bounds)=0
virtual | ~SpatialAccelerator ()

## Detailed Description

Acceleration structure interface.

## Constructor & Destructor Documentation

virtual Nv::Blast::SpatialAccelerator::~SpatialAccelerator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual int32_t Nv::Blast::SpatialAccelerator::getNextFacet | ( |  | ) | `[pure virtual]`

Recieve next facet for setted state.

Returns:
  Next facet index, or -1 if no facets left.

Implemented in Nv::Blast::DummyAccelerator, Nv::Blast::GridWalker, Nv::Blast::SweepingAccelerator, and Nv::Blast::BBoxBasedAccelerator.

virtual void Nv::Blast::SpatialAccelerator::setPointCmpDirection | ( | int32_t | dir | ) | `[pure virtual]`

Implemented in Nv::Blast::DummyAccelerator, Nv::Blast::GridWalker, Nv::Blast::SweepingAccelerator, and Nv::Blast::BBoxBasedAccelerator.

virtual void Nv::Blast::SpatialAccelerator::setState | ( | const NvcVec3 & | point | ) | `[pure virtual]`

Set state of accelerator to return all facets which possibly can cover given point. Needed for testing whether point is inside mesh.

Parameters:

  `[in]` | point | Point which should be tested.

Implemented in Nv::Blast::DummyAccelerator, Nv::Blast::GridWalker, Nv::Blast::SweepingAccelerator, and Nv::Blast::BBoxBasedAccelerator.

virtual void Nv::Blast::SpatialAccelerator::setState | ( | const Vertex * | pos,
|  | const Edge * | ed,
|  | const Facet & | fc |
| ) |  |  | `[pure virtual]`

Set state of accelerator to return all facets which possibly can intersect given facet.

Parameters:

  `[in]` | pos | Vertex buffer
  `[in]` | ed | Edge buffer
  `[in]` | fc | Facet which should be tested.

Implemented in Nv::Blast::DummyAccelerator, Nv::Blast::GridWalker, Nv::Blast::SweepingAccelerator, and Nv::Blast::BBoxBasedAccelerator.

virtual void Nv::Blast::SpatialAccelerator::setState | ( | const NvcBounds3 * | bounds | ) | `[pure virtual]`

Set state of accelerator to return all facets which possibly can intersect given facet bound.

Parameters:

  `[in]` | pos | Vertex buffer
  `[in]` | ed | Edge buffer
  `[in]` | fc | Facet which should be tested.

Implemented in Nv::Blast::DummyAccelerator, Nv::Blast::GridWalker, Nv::Blast::SweepingAccelerator, and Nv::Blast::BBoxBasedAccelerator.

The documentation for this class was generated from the following file:

- sdk/extensions/authoringCommon/include/NvBlastExtAuthoringAccelerator.h